Skip to main content
POST
/
subscriptions
/
{id}
/
retry
Retry Subscription
curl --request POST \
  --url https://api-sandbox.y.uno/v1/subscriptions/{id}/retry \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>'
"{\n    \"id\": \"0054840f-bcd5-4d8e-b86c-c18ede81c556\",\n    \"name\": \"Test Subscription\",\n    \"account_id\": \"f7c5fe77-721b-49c2-84d3-957748df3c2c\",\n    \"country\": \"CL\",\n    \"description\": \"Subscription Test\",\n    \"merchant_reference\": \"subscription-ref-merchant-AA01\",\n    \"status\": \"ACTIVE\",\n    \"amount\": {\n        \"currency\": \"CLP\",\n        \"value\": 15000\n    },\n    \"frequency\": {\n        \"type\": \"MONTH\",\n        \"value\": 1\n    },\n    \"billing_cycles\": {\n        \"total\": 12,\n        \"current\": 2,\n        \"next_at\": \"2025-05-29T11:13:31.786421Z\"\n    },\n    \"customer_payer\": {\n        \"id\": \"1c6d1a88-d8d5-4c09-b19c-852530d89f05\"\n    },\n    \"payment_method\": {\n        \"type\": \"CARD\",\n        \"vaulted_token\": \"743880c1-1bdb-4572-99a8-c4e5ce184895\"\n    },\n    \"availability\": {\n        \"start_at\": \"2025-04-29T11:13:31.786421Z\",\n        \"finish_at\": null\n    },\n    \"retries\": {\n        \"retry_on_decline\": false,\n        \"amount\": 6\n    },\n    \"metadata\": null,\n    \"additional_data\": null,\n    \"trial_period\": {\n        \"billing_cycles\": 1,\n        \"amount\": {\n            \"value\": 0,\n            \"currency\": \"\"\n        }\n    },\n    \"initial_payment_validation\": false,\n    \"created_at\": \"2025-04-29T11:13:31.786421Z\",\n    \"updated_at\": \"2025-04-29T11:13:31.942325Z\"\n}"
Use this endpoint to manually retry the most recent failed payment of a subscription. This is useful when a customer updates their payment method or resolves a payment issue (e.g., insufficient funds, expired card) mid-billing cycle, since subscription updates only take effect starting from the next billing cycle. Calling this endpoint forces a new charge attempt for the current cycle using the latest subscription configuration.
  • Only the most recent payment of the subscription can be retried.
  • Multiple manual retries can be executed only if the previous retry attempt resulted in a DECLINED status.
  • Manually triggering a retry stops the smart retry scheme for the corresponding payment. The following payments of the subscription will follow the smart retry scheme if enabled in the creation.
  • After the successful retry attempt, the system continues with the next scheduled subscription charge.
  • If neither condition is met, an INVALID_REQUEST error is returned.

Authorizations

public-api-key
string
header
default:<Your public-api-key>
required
private-secret-key
string
header
default:<Your private-secret-key>
required

Headers

x-account-code
string

The account_id found in your Yuno Dashboard (UUID).

Path Parameters

id
string
required

The unique identifier of the subscription, see create subscription (UUID).

Response

200

id
string
Example:

"0054840f-bcd5-4d8e-b86c-c18ede81c556"

name
string
Example:

"Test Subscription"

account_id
string
Example:

"f7c5fe77-721b-49c2-84d3-957748df3c2c"

country
string
Example:

"CL"

description
string
Example:

"Subscription Test"

merchant_reference
string
Example:

"subscription-ref-merchant-AA01"

status
string
Example:

"ACTIVE"

amount
object
frequency
object
billing_cycles
object
customer_payer
object
payment_method
object
availability
object
retries
object
metadata
any
additional_data
any
trial_period
object
initial_payment_validation
boolean
default:true
Example:

false

created_at
string
Example:

"2025-04-29T11:13:31.786421Z"

updated_at
string
Example:

"2025-04-29T11:13:31.942325Z"